[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLResourceList.Find

Returns the resource in the list with the given name and type.

## Declaration

Source position: lresources.pp line 76

`public function TLResourceList.Find(`
`const Name: AnsiString`
`):TLResource; overload; function TLResourceList.Find(`
`const Name: AnsiString;`
`const ValueType: AnsiString`
`):TLResource; overload;`

## Arguments

`Name` |  | Name of the resource to locate in the list.

## Function result

TLResource instance for the resource found with the specified name and value type.

## Arguments

`Name` |  | Name of the resource to locate in the list.
`ValueType` |  | Type name for the resource to locate in the method. Should be uppercase, if present.